#include "S38P03.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "Net/UnrealNetwork.h"

void US38P03::OnRep_IsPerkActive()
{

}

float US38P03::GetHasteDurationAtLevel() const
{
	return 0.0f;
}

void US38P03::Authority_OnSurvivorHooked(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US38P03::Authority_OnSurvivorHealedWithAdrenaline(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US38P03::Authority_OnPerkActivated(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US38P03::Authority_OnHealFromDying(FGameplayTag gameplayTag, const FGameEventData& gameEventData)
{

}

void US38P03::Authority_OnExitGatesPowered(FGameplayTag gameEventType, const FGameEventData& gameEventData)
{

}

void US38P03::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US38P03, _isPerkActive);
}

US38P03::US38P03()
{
	this->_onGroundEffectClass = NULL;
	this->_hasteStatusEffectClass = NULL;
	this->_hastePercentage = 0.500000;
	this->_hasteDuration = 0.000000;
	this->_interactionBP = NULL;
	this->_isPerkActive = false;
}
